%define version 1.0
%define name gnupg-rsa
Summary: RSA and IDEA support for GNUPG
Name: %{name}
Version: %{version}
Release: 1
Copyright: distributable
Group: Applications/Cryptography
Source0: ftp://ftp.gnupg.org/pub/gcrypt/contrib/rsa.c
Source1: ftp://ftp.gnupg.org/pub/gcrypt/contrib/idea.c
Source2: README.gnupg-rsa
URL: http://www.gnupg.org
Requires: gnupg
BuildRoot: /tmp/rpmbuild_%{name}/

%description
This package contains gnupg extension modules for backward compatibility
with the RSA and IDEA algorithms.

ATTENTION: This code should not be exported to the United States
nor should it be used there without a license agreement with PKP.

DEA algorithm is patented by Ascom Systec Ltd. of CH-5506 Maegenwil,
Switzerland, who allow it to be used on a royalty-free basis for certain
non-profit applications.  Commercial users must obtain a license from the
company in order to use IDEA.

See /usr/doc/gnupg-rsa-%{version}/README for usage information and more
legal details.

%prep
%setup -T -c
cp $RPM_SOURCE_DIR/rsa.c .
cp $RPM_SOURCE_DIR/idea.c .
cp $RPM_SOURCE_DIR/README.gnupg-rsa README

%build
rm -rf $RPM_BUILD_ROOT
gcc -Wall -O2 -shared -fPIC -o rsa rsa.c
gcc -Wall -O2 -shared -fPIC -o idea idea.c

%install
install -d ${RPM_BUILD_ROOT}/usr/lib/gnupg
install -m 755 rsa ${RPM_BUILD_ROOT}/usr/lib/gnupg
install -m 755 idea ${RPM_BUILD_ROOT}/usr/lib/gnupg

%files
%attr (-,root,root)
%doc README
/usr/lib/gnupg/rsa
/usr/lib/gnupg/idea

%clean
rm -rf $RPM_BUILD_ROOT

